package thyyxxk.webserver.entity.zhuyuanyisheng.emr;

import java.io.Serializable;

import lombok.Data;

import java.util.Date;

@Data
public class EmrLimitUnlock implements Serializable {

    private static final long serialVersionUID = 985823797122253285L;

    /**
     * id
     */
    private Integer id;

    /**
     * patNo
     */
    private String patNo;

    /**
     * times
     */
    private Integer times;

    /**
     * 需要解除那些限制
     */
    private String unlockJson;

    /**
     * 申请人
     */
    private String applicant;
    private String applicantName;

    /**
     * 申请时间
     */
    private Date applicationTime;

    /**
     * 申请备注
     */
    private String requestRemarks;

    /**
     * 审核人
     */
    private String approve;
    private String approveName;

    /**
     * 审核时间
     */
    private Date reviewTime;

    /**
     * 审核备注
     */
    private String reviewNotes;

    /**
     * 有效时间
     */
    private Date effectiveTime;

    /**
     * state
     */
    private Integer state;

    private String deptName;

    public String getStateName() {
        if (state == null) {
            return "";
        }
        switch (state) {
            case 0:
                return "待审核";
            case 1:
                return "审核通过";
            case 2:
                return "审核拒绝";
            case 3:
                return "医生删除";
            default:
                return "";
        }
    }

}
